[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.UpdateMonitors

Rebuilds the list of available monitors.

## Declaration

Source position: forms.pp line 1230

`public procedure TScreen.UpdateMonitors;`

## Description

Calls DestroyMonitors to clear existing TMonitor instances in the Monitors property. Calls EnumDisplayMonitors in the LCL interface to create and store TMonitor instances in the Monitors property.

UpdateMonitors is called when the private UpdatedMonitor function needs to access information for a monitor using its Handle. It is also called when the value for the Monitor or MonitorCount property is read.